//
//  RCServoController.h
//  RCServo
//
//  Created by Phidgets on 2015-07-27.
//  Copyright (c) 2015 Phidgets. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Phidget22/phidget22.h>
#import "PhidgetInfoBox.h"

@interface RCServoController : NSObject <NSApplicationDelegate, NSWindowDelegate>
{
    IBOutlet NSWindow *mainWindow;
    PhidgetRCServoHandle ch;
    //PhidgetInfoBox View
    IBOutlet PhidgetInfoBox *phidgetInfoBoxView;
    IBOutlet NSBox *phidgetInfoBox;
    //Motor calibration
    IBOutlet NSBox *motorCalibrationBox;
    IBOutlet NSTextField *minPulseWidthTextField;
    IBOutlet NSTextField *maxPulseWidthTextField;
    IBOutlet NSTextField *positionAtMinTextField;
    IBOutlet NSTextField *positionAtMaxTextField;
	IBOutlet NSPopUpButton *voltageCombo;
    //Motor Data
	IBOutlet NSBox *motorDataBox;
	IBOutlet NSTextField *positionEventLabel;
	IBOutlet NSTextField *velocityEventLabel;
	IBOutlet NSTextField *velocityEventText;
    IBOutlet NSBox *dataIntBox;
    IBOutlet id dataIntSlider;
    IBOutlet NSTextField *dataIntMinLbl;
    IBOutlet NSTextField *dataIntMaxLbl;
    IBOutlet NSTextField *dataIntLbl;
    //Motor Controls
    IBOutlet NSButton *stoppedCheck;
    IBOutlet NSButton *enabledButton;
    IBOutlet NSBox *motorControlsBox;
    IBOutlet NSTextField *positionText;
    IBOutlet NSTextField *positionMinLabel;
    IBOutlet NSTextField *positionMaxLabel;
    IBOutlet NSSlider *positionSlider;
    //Advanced Controls
    IBOutlet NSBox *advancedControlsBox;
    IBOutlet NSTextField *accelerationText;
    IBOutlet NSTextField *accelerationMinLabel;
    IBOutlet NSTextField *accelerationMaxLabel;
    IBOutlet NSSlider *accelerationSlider;
    IBOutlet NSTextField *velocityText;
    IBOutlet NSTextField *velocityMinLabel;
    IBOutlet NSTextField *velocityMaxLabel;
    IBOutlet NSSlider *velocitySlider;
    //Errors
    IBOutlet NSPanel *errorEventLogWindow;
    IBOutlet NSTextView *errorEventLog;
    IBOutlet NSTextField *errorEventLogCounter;
}
@end
